---
# Cloud manifest for an AegirVPS deployment.
openstack_generate_ssh_config: true

os_security_groups:
  - name: 'base'
    description: 'Base security group for all VMs.'
    rules:
      - port_range_min: 22
      - port_range_min: 0
        protocol: 'icmp'
  - name: 'web'
    description: 'Security group for web servers.'
    rules:
      - port_range_min: 80
      - port_range_min: 443

os_servers:
  - name: '{{ host }}'
#    state: 'absent'
    flavor: '4 GB'
    security_groups:
      - base
      - web
    groups:
      - {{ group }}
    volumes:
      - path: /opt/var/aegir
        size: 10
        device: /dev/vdb
      - path: /opt/var/aegir/backups
        size: 20
        device: /dev/vdc
      - path: /opt/var/lib/mysql
        size: 10
        device: /dev/vdd
      # Since the VM instance requires the boot volume, we'll wait for it to be
      # fully created before proceeding. This will delay other volumes being
      # created asynchronously, unless it's last in the list of volumes.
      - boot_disk: True
        size: 10
